package com.workfusion.odf.impl.converter.html2pdf;

public interface PdfReportGenerator {
     byte[] generatePdf(String webLink);

     String generatePdfAndUploadToS3(String inputWebLink, String s3Bucket, String s3PathForOutputFile);

     String generatePdfAndUploadToS3(String webLink);
}
